Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynch
Class FutureProxy

    java.lang.Object
      org.jboss.aspects.asynch.FutureProxy

All Implemented Interfaces:
  Future

public class FutureProxy
extends Object
implements Future

Comment

Version:
  $Revision: 1.2.8.4 $
Author:
  Bill Burke

Constructor Summary
`FutureProxy()`

Method Summary
`Object` | `get()` get result, throws Exception of method or InterruptedException
`Object` | `get(long milliseconds)` get result, throws Exception of method or InterruptedException
`boolean` | `isDone()` is the method call done?
`void` | `release()` Release this future so that it can be garbaged collected remotely This is only useful for remote asynchronous.
`void` | `setDelegate(Future delegate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FutureProxy

    public FutureProxy()

Method Detail

### setDelegate

    public void setDelegate(Future delegate)

### release

    public void release()

  Description copied from interface: `Future`
  Release this future so that it can be garbaged collected remotely This is only useful for remote asynchronous. This is import to call especially for remote otherwise the remote future on the server will never get garbaged collected. AsynchProvider will call release if it is holding a Future already within its threadlocal when a new one is set on it.

  Specified by:
    `release` in interface `Future`

### get

    public Object get()
               throws InterruptedException,
                      InvocationTargetException

  Description copied from interface: `Future`
  get result, throws Exception of method or InterruptedException

  Specified by:
    `get` in interface `Future`
  Throws:
    `InterruptedException`
    `InvocationTargetException`

### get

    public Object get(long milliseconds)
               throws TimeoutException,
                      InterruptedException,
                      InvocationTargetException

  Description copied from interface: `Future`
  get result, throws Exception of method or InterruptedException

  Specified by:
    `get` in interface `Future`
  Throws:
    `TimeoutException`
    `InterruptedException`
    `InvocationTargetException`

### isDone

    public boolean isDone()

  Description copied from interface: `Future`
  is the method call done?

  Specified by:
    `isDone` in interface `Future`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.